Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.proxy
[Java] Class GroovyAwareJavassistProxyFactory

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.proxy.GroovyAwareJavassistProxyFactory

All Implemented Interfaces:
  ProxyFactory

    public class GroovyAwareJavassistProxyFactory

Hibernate's default proxying mechanism proxies Groovy's getMetaClass() method. To avoid this we customize the proxying creation proxy here and in #GroovyAwareJavassistLazyInitializer.

Authors:
  Graeme Rocher

Since:
  1.1.1

Field Summary
`protected static Class[]` | `NO_CLASSES`

Method Summary
`HibernateProxy` | `getProxy(java.io.Serializable id, SessionImplementor session)`
`void` | `postInstantiate(java.lang.String entityName, java.lang.Class persistentClass, java.util.Set interfaces, java.lang.reflect.Method getIdentifierMethod, java.lang.reflect.Method setIdentifierMethod, AbstractComponentType componentIdType)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### NO_CLASSES

    protected static final Class[] NO_CLASSES

Method Detail

### getProxy

    public HibernateProxy getProxy(java.io.Serializable id, SessionImplementor session)

### postInstantiate

    @SuppressWarnings({"unchecked", "hiding", "rawtypes"})
    public void postInstantiate(java.lang.String entityName, java.lang.Class persistentClass, java.util.Set interfaces, java.lang.reflect.Method getIdentifierMethod, java.lang.reflect.Method setIdentifierMethod, AbstractComponentType componentIdType)

Groovy Documentation